Bug 314859 - Multiple windows with title "kblankscrn.kss" appears after login
Summary: Multiple windows with title "kblankscrn.kss" appears after login
Status: RESOLVED FIXED
Alias: None
Product: kscreensaver
Classification: Unclassified
Component: screensavers (show other bugs)
Version: 4.10.0
Platform: Ubuntu Packages Linux
: HI major with 305 votes (vote)
Target Milestone: ---
Assignee: kscreensaver bugs tracking
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-10 22:14 UTC by Kay Simon
Modified: 2014-05-18 22:34 UTC (History)
29 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.5


Attachments
Windows appear on all power-on (151.83 KB, image/jpeg)
2013-05-18 15:52 UTC, Renato S. Yamane
Details
Snapshot taken of screen after login (90.23 KB, image/jpeg)
2013-05-20 10:53 UTC, Samuel
Details
System Monitor, System Load change after removing 6 screensaver processes (65.46 KB, image/jpeg)
2013-09-17 09:44 UTC, Samuel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kay Simon 2013-02-10 22:14:29 UTC
Multiple windows with title "kblankscrn.kss" appears after login. I don't know, if this is the correct component, but I believe because the title means the blank screensaver.
There coming up several empty windows with this title directly after the start of kde.


Reproducible: Always
Comment 1 Enzo Cappa 2013-02-19 12:01:51 UTC
I have the same problem, with an exception: I see windows with different screensavers, maybe because I have selected the "Random" screensaver.
Comment 2 Cristian Tibirna 2013-02-19 15:41:48 UTC
Same with OpenSUSE 12.2 "official" rpms. Many "kblankscreen.kss" windows instantiated at login. 

The blank screen is the screensaver that I configured in "System Settings > Display > Screen Locker" (selected method: "Screen Saver").

Since I have "save session on logout"/"restore same on login", it might be inferred that the new locker starts the user-configured screensaver *and* registers it (or the screensaver registers itself) with the session manager. They are then "restored" on login, but this time as visible and managed windows.

The "kblankscrn.kss" exectuable appears indeed in "programN=" lines in the section "[Session: saved at previous logout]" in the "$KDEHOME/share/config/ksmserverrc" file.
Comment 3 Aaron J. Seigo 2013-03-12 19:16:54 UTC
Git commit bbb408803965c70fc2cdadadbc08f17bce4cfade by Aaron Seigo.
Committed on 12/03/2013 at 20:16.
Pushed by aseigo into branch 'KDE/4.10'.

actually STOP the screen saver
Related: bug 224200

M  +1    -0    ksmserver/screenlocker/greeter/screensaverwindow.cpp

http://commits.kde.org/kde-workspace/bbb408803965c70fc2cdadadbc08f17bce4cfade
Comment 4 Aaron J. Seigo 2013-03-12 19:17:27 UTC
Git commit ee003f90c6251e8c73928127ab91945fc46fa3a0 by Aaron Seigo.
Committed on 12/03/2013 at 20:16.
Pushed by aseigo into branch 'master'.

actually STOP the screen saver
Related: bug 224200

M  +1    -0    ksmserver/screenlocker/greeter/screensaverwindow.cpp

http://commits.kde.org/kde-workspace/ee003f90c6251e8c73928127ab91945fc46fa3a0
Comment 5 Kay Simon 2013-04-09 07:56:39 UTC
Bug is still present. Currently there are 3 windows open after a reboot.
Using Kubuntu with KDE SC 4.10.2
Comment 6 Oliver Henshaw 2013-04-10 10:37:44 UTC
(In reply to comment #5)
> Bug is still present. Currently there are 3 windows open after a reboot.
> Using Kubuntu with KDE SC 4.10.2
Do you mean it happens after every reboot? I wonder why there are three windows, do you have three screens? How do you reboot (or logout) - are you logged out automatically while the screenlocker is running or do you do it yourself?
Comment 7 dimm0k 2013-04-11 02:37:06 UTC
This is happening for me as well with 4.10.2.  KDE for some reason always runs sluggish after starting a VMWare guest so I exited VMWare and then KDE and restarted KDE.  Upon startup I received two of these kblankscrn.kss windows.
Comment 8 Kay Simon 2013-04-11 22:03:47 UTC
> Do you mean it happens after every reboot?

Yes, always after every reboot.

> I wonder why there are three
> windows, do you have three screens?

I think, the number of windows is equal to the number of starts of the screensaver (I'm using a blank screen as screensaver). Sometimes there are 3 windows, sometimes there are only 2, sometimes there are 6 winodws. At 3 machines (all shows the windows after reboot) I have only one screen.

> How do you reboot (or logout) - are you
> logged out automatically while the screenlocker is running or do you do it
> yourself?

I reboot and logout through the Logout-/Lock-Plasmoid, no automatic logout or shutdown.
Comment 9 Mohammed Arafa 2013-04-14 13:42:43 UTC
this happens to me on fedora 18 with kde 4.10.1. 
this happens to me on every logon not reboot but logon. 
and i get 3 instances of kblanscrn.kss
i have the default (for fedora?) of 2 desktops
to remove it, i have to run 
pkill -9 kss 

i am no coder, but i believe this is due to multiple instances of kss running and THEN i logged out saving my settings. which means when i log back in again, those same instances that were running is restarted.

ps. while the screensaver is running i see my mouse pointer! but thats off topic
Comment 10 Mohammed Arafa 2013-04-14 13:43:46 UTC
(In reply to comment #9)
> this happens to me on fedora 18 with kde 4.10.1. 
> this happens to me on every logon not reboot but logon. 
> and i get 3 instances of kblanscrn.kss
> i have the default (for fedora?) of 2 desktops
> to remove it, i have to run 
> pkill -9 kss 
> 
> i am no coder, but i believe this is due to multiple instances of kss
> running and THEN i logged out saving my settings. which means when i log
> back in again, those same instances that were running is restarted.
> 
> ps. while the screensaver is running i see my mouse pointer! but thats off
> topic

btw my primary box is my laptop.
Comment 11 Mohammed Arafa 2013-04-14 13:58:58 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > this happens to me on fedora 18 with kde 4.10.1. 
> > this happens to me on every logon not reboot but logon. 
> > and i get 3 instances of kblanscrn.kss
> > i have the default (for fedora?) of 2 desktops
> > to remove it, i have to run 
> > pkill -9 kss 
> > 
> > i am no coder, but i believe this is due to multiple instances of kss
> > running and THEN i logged out saving my settings. which means when i log
> > back in again, those same instances that were running is restarted.
> > 
> > ps. while the screensaver is running i see my mouse pointer! but thats off
> > topic
> 
> btw my primary box is my laptop.

found it! bug 224200 - it appears that kblankscrn.kss is started when we do a "switch user" and remains in memory even after unlocking/logging back in as the original user. maybe that screensaver was never terminated and then saved on logout?
Comment 12 Mohammed Arafa 2013-04-14 13:59:43 UTC
[marafa@notebook ~]$ ps aux | grep kss
marafa    8436  0.0  0.1 427260 16508 ?        S    09:46   0:00 kblankscrn.kss -window-id 56623156
marafa   10420  0.0  0.0 109180   876 pts/8    S+   09:59   0:00 grep -E --colour=auto kss
[marafa@notebook ~]$
Comment 13 Wolfgang Bauer 2013-04-15 05:35:06 UTC
I can reproduce this.
It only seems to happen with "kblankscrn.kss", not with other screensavers.

To me it seems like it's hanging when it is told to quit, and so gets restarted then on login by KDE's session management...

I will provide a backtrace of the hanging "kblankscrn.kss" later, have to install debug packages first.
Comment 14 Wolfgang Bauer 2013-04-15 06:21:22 UTC
(Running on openSUSE 12.3 here, with KDE 4.10.2 and Qt 4.8.4)

Here's the backtrace:
(gdb) bt
#0  0x00007f85122bc860 in __poll_nocancel ()
    at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f850eed1aa4 in g_main_context_poll (n_fds=5, fds=0x202a0b0, timeout=
    -1, context=0x2034000, priority=<optimized out>) at gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x2034000, block=block@entry=
    1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3285
#3  0x00007f850eed1bc4 in g_main_context_iteration (context=0x2034000, 
    may_block=1) at gmain.c:3351
#4  0x00007f85136f31d6 in QEventDispatcherGlib::processEvents (this=0x2013710, 
    flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f8512b0ec1e in QGuiEventDispatcherGlib::processEvents (
    this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#6  0x00007f85136c39ef in QEventLoop::processEvents (this=this@entry=
    0x7ffff48e1c90, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f85136c3c78 in QEventLoop::exec (this=0x7ffff48e1c90, flags=...)
    at kernel/qeventloop.cpp:204
#8  0x00007f85136c8918 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:1218
#9  0x00007f8513ef4a4a in kScreenSaverMain (argc=<optimized out>, 
    argv=<optimized out>, screenSaverInterface=...)
    at /usr/src/debug/kde-workspace-4.10.2/kscreensaver/libkscreensaver/main.cpp:228
#10 0x00000000004044c5 in main (argc=<optimized out>, argv=<optimized out>)
    at /usr/src/debug/kde-workspace-4.10.2/kscreensaver/kblank_screensaver/blankscrn.cpp:51

Hope that helps!
Comment 15 Enzo Cappa 2013-04-15 11:36:43 UTC
For me it's not only kblankscrn.kss, kswarm.kss produces the same behavior.
Comment 16 Enzo Cappa 2013-04-15 11:57:03 UTC
After locking and then unlocking the screen, now I see a process called "kdeasciiaquatium.kss" running at 100% CPU.
Comment 17 Wolfgang Bauer 2013-04-15 12:36:12 UTC
I could reproduce with kswarm.kss as well.
Backtrace:
#0  0x00007fedb85e5860 in __poll_nocancel ()
    at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fedb5316aa4 in g_main_context_poll (n_fds=4, fds=0x1fe6bd0, timeout=
    49, context=0x1df1700, priority=<optimized out>) at gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x1df1700, block=block@entry=
    1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3285
#3  0x00007fedb5316bc4 in g_main_context_iteration (context=0x1df1700, 
    may_block=1) at gmain.c:3351
#4  0x00007fedb9a1c1f6 in QEventDispatcherGlib::processEvents (this=0x1dd0710, 
    flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fedb8e37c1e in QGuiEventDispatcherGlib::processEvents (
    this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#6  0x00007fedb99ec9ef in QEventLoop::processEvents (this=this@entry=
    0x7fff379d0410, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fedb99ecc78 in QEventLoop::exec (this=0x7fff379d0410, flags=...)
    at kernel/qeventloop.cpp:204
#8  0x00007fedb99f1918 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:1218
#9  0x0000000000406462 in ?? ()
#10 0x00007fedb8527a15 in __libc_start_main (main=0x406000, argc=3, ubp_av=
    0x7fff379d0608, init=<optimized out>, fini=<optimized out>, 
    rtld_fini=<optimized out>, stack_end=0x7fff379d05f8) at libc-start.c:258
#11 0x00000000004065f1 in _start ()
Comment 18 Oliver Henshaw 2013-04-15 14:38:06 UTC
OK, I've reopened bug #224200 to track this.

This bug I'll keep open as we also need to stop these processes reappearing after login - this looks quite simple, just disable session management (as the "Simple Locker" and "Desktop Widgets" lockers already do)
Comment 19 dimm0k 2013-04-19 03:53:22 UTC
not sure if this is related, but if the user causes activity such that the screensaver goes away and the user is asked for a password to unlock, the screensaver never re-activates if the user doesn't enter the password and lets the screensaver timeout occur.
Comment 20 bkorb 2013-05-06 13:28:05 UTC
I confirm that this has *started* happening to me in KDE 4.10.2
Comment 21 bkorb 2013-05-06 13:33:43 UTC
(In reply to comment #6)
> Do you mean it happens after every reboot?
Yes.
> I wonder why there are three windows, do you have three screens?
I have *four* bogus windows and *twelve* desk tops.

> How do you reboot (or logout) - are you
> logged out automatically while the screenlocker is running or do you do it
> yourself?

Ctl+Shift+Alt+...+PgDown with screen saver -er I mean- "screenlocker" inactive.
Comment 22 Kay Simon 2013-05-14 19:08:49 UTC
Bug is still present in 4.10.3. Very annoying.
Comment 23 Renato S. Yamane 2013-05-18 15:52:06 UTC
Created attachment 79950 [details]
Windows appear on all power-on

This 3 windows appear on every power-on.

I'm using Kubuntu 13.04
Comment 24 Samuel 2013-05-20 10:53:20 UTC
Created attachment 79972 [details]
Snapshot taken of screen after login

I get multiple screensaver windows as shown in the attached graphic.  This example shows three. I have had up to seven and as low as one.  This does not happen every time I login, but it occurs frequently enough to be annoying.  I have been tolerating this problem through several versions and it seems to be getting less but has not been eliminated.

I do not consider this bug, that has been reported by others, to be closed.
Comment 25 Andrea Diamantini 2013-05-21 07:02:11 UTC
This basically happens n times foreach time your screensaver appears, i.e. if in this session it activates 3 times, you'll have 3 black windows on next reboot.
At least it is so, here.
Comment 26 wvvelzen 2013-05-21 07:33:04 UTC
(In reply to comment #25)
> This basically happens n times foreach time your screensaver appears, i.e.
> if in this session it activates 3 times, you'll have 3 black windows on next
> reboot.
> At least it is so, here.

Indeed:

# pgrep -l kblankscrn.kss | wc -l
83

( I don't often reset/restart my machine ;) )
Comment 27 Andrea Diamantini 2013-05-22 16:34:55 UTC
I anyway "workarounded" it restarting KDE with an empty session ;)


2013/5/21 <wvvelzen@gmail.com>

> https://bugs.kde.org/show_bug.cgi?id=314859
>
> --- Comment #26 from wvvelzen@gmail.com ---
> (In reply to comment #25)
> > This basically happens n times foreach time your screensaver appears,
> i.e.
> > if in this session it activates 3 times, you'll have 3 black windows on
> next
> > reboot.
> > At least it is so, here.
>
> Indeed:
>
> # pgrep -l kblankscrn.kss | wc -l
> 83
>
> ( I don't often reset/restart my machine ;) )
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 28 bkorb 2013-05-22 20:28:26 UTC
(In reply to comment #27)
> I anyway "workarounded" it restarting KDE with an empty session ;)

pkill -TERM kblankscrn.kss
Comment 29 icon 2013-06-17 09:07:17 UTC
From my experience, and it does happend to me with both kswarm and kblankscrn, it is not a problem at login.  What happens is that multiple instances of the screen saver in question are launched while the system is running.  When I look at the processes before I log out or shut down, I can see multiple instances of the screen saver though there should be none.  Then when logging in, however many instances were created appear on the screen.  So the problem is with screen savers being spawned but not being removed once the screen is unlocked.
Comment 30 davidblunkett 2013-06-18 13:04:15 UTC
I have this problem with 4.10.3 - it gets worse with every reboot - I currently have 133 instances of kblankscrn.  It seems to have something to do with locking the screen which for me only occurs when I put the computer to sleep.
Comment 31 Wolfgang Bauer 2013-06-18 13:07:13 UTC
This is still reproducible with 4.11 Beta 1
Comment 32 bkorb 2013-06-20 14:50:03 UTC
(In reply to comment #30)
> I have this problem with 4.10.3 - it gets worse with every reboot - I
> currently have 133 instances of

It's a dumb problem, but ``pkill -TERM kblankscrn.kss'' is not _that_ hard to type...
Comment 33 davidblunkett 2013-06-20 18:36:23 UTC
I think we can safely assume:

(1) we know how to kill stuff
(2) it is still a bug even if it is easy to kill

At some point there will be so many I'll struggle to get a shell...
Comment 34 Alexis Kauffmann 2013-06-28 23:10:56 UTC
Same here - Kubuntu 13.04 - Linux 3.08.0-25 - KDE 4.10.3

It happened for the first time today, opening 18 windows.
Comment 35 davidblunkett 2013-07-19 08:24:11 UTC
On a completely new computer with a completely new install and already loads of these buggers are appearing on reboot

pkill kblank
cd ~/.kde/share/config
grep -v kblankscrn.kss ksmserverrc > ksmserverrc.temp ; mv ksmserverrc.temp ksmserverrc

will keep it under control for you while a fix is pending...
Comment 36 Wolfgang Bauer 2013-08-08 01:19:24 UTC
So is anybody working on this at all?
The bug is still in 4.11 RC2 and I guess it will be there even in 4.11.

Even if it's a "small" problem, this really is embarrasing for the whole KDE, IMHO!

If it's not solvable with the legacy screensavers, could they not just be killed?

(In reply to comment #18)
> OK, I've reopened bug #224200 to track this.
> 
> This bug I'll keep open as we also need to stop these processes reappearing
> after login - this looks quite simple, just disable session management (as
> the "Simple Locker" and "Desktop Widgets" lockers already do)

Sorry to ask, but if it looks quite simple, why haven't you done it yet?
Comment 37 Wolfgang Bauer 2013-08-08 01:41:47 UTC
Raising the priority therfore...
Comment 38 f0o 2013-08-15 09:59:37 UTC
I *solved* it by running a "killall -9 kblankscrn.kss" when I unlock the screensaver... :|

I share w. Bauer's opinion, it's embarrassing...
Comment 39 bkorb 2013-08-15 15:18:53 UTC
(In reply to comment #38)
> I *solved* it by running a "killall -9 kblankscrn.kss" when I unlock the
> screensaver... :|

Because this is dragging on and on and on and on and on and....
it is important to keep the *other* part of this forefront (bottom or top):

    vi .kde4/share/config/ksmserverrc

removing all the bogus invocations of the bloody thing and the
"programN" references to it.

> I share w. Bauer's opinion, it's embarrassing...

Apparently, it requires rocket scientists.
Comment 40 f0o 2013-08-15 15:23:05 UTC
It wont solve the bug re-appearing after each screen-lock
(see https://bugs.kde.org/show_bug.cgi?id=224200 which is the original to this duplicate)
Comment 41 f0o 2013-08-15 15:25:28 UTC
to be more precise, this is just a different symptom of the same bug. Here the fellow uploader has session-restoring so the orphaned kblank... processes get respawned because they aint killed propperly by the screensaver
Comment 42 Wolfgang Bauer 2013-08-15 23:09:13 UTC
(In reply to comment #39)
> (In reply to comment #38)
> > I *solved* it by running a "killall -9 kblankscrn.kss" when I unlock the
> > screensaver... :|
> 
> Because this is dragging on and on and on and on and on and....
> it is important to keep the *other* part of this forefront (bottom or top):
> 
>     vi .kde4/share/config/ksmserverrc
> 
> removing all the bogus invocations of the bloody thing and the
> "programN" references to it.

There is a better workaround:
Enter systemsettings->Launch and Shutdown->Session Management and add "kblankscrn.kss" to "Applications to be excluded from sessions:".
After doing that, kblankscrn.kss won't get restarted on login.
It doesn't fix the original problem though, that the process stays on memory.
Comment 43 Ben Cooksley 2013-08-16 04:55:10 UTC
Unsubscribing sbc_hates_spam@yahoo.com.au per abuse report.
Comment 44 davidblunkett 2013-09-05 19:51:40 UTC
> Enter systemsettings->Launch and Shutdown->Session Management and add
> "kblankscrn.kss" to "Applications to be excluded from sessions:".

Now that is handy - thanks!
Comment 45 Wolfgang Bauer 2013-09-10 20:22:04 UTC
Proposed fix:
https://git.reviewboard.kde.org/r/109609/

This should prevent those windows from popping up on login.
The underlying bug is _not_ fixed by this, but that's covered by bug#224200.
Comment 46 Samuel 2013-09-15 12:09:28 UTC
This bug is still present in KDE 4.11.1.  I have found that when a screen saver stops due to keyboard or mouse action the screen saver .kss file is still in memory and using CPU cycles.  I have had up to 23 .kss files in memory!!!  Because I restore my desktop (which has dual monitors) on reboot, all these screen saver files start up and fill the screen.

If I kill all the .kss files before shutdown, then on reboot, there are no .kss images.  I have still got the kblankscrn.kss application excluded.

Could someone developing KDE software, PLEASE make sure that screen saver tasks are removed from memory and processing when they are stopped by keyboard or mouse action
Comment 47 Samuel 2013-09-17 09:44:23 UTC
Created attachment 82359 [details]
System Monitor, System Load change after removing 6 screensaver processes

Screen Saver processes still stay active after keyboard action to use the desktop.  In this example, all *.kss processes were killed and the reduction in processing load is evident.  If these *.kss process are not killed, they are still in memory on reboot and using CPU cycles.
Comment 48 Jekyll Wu 2013-09-17 15:22:10 UTC
*** Bug 324990 has been marked as a duplicate of this bug. ***
Comment 49 icon 2013-10-20 01:17:33 UTC
I just upgraded to 4.11.2 and now the same behavior is being exhibited by kbanner.kss which was not the case before.  I guess I will need to switch to another screen saver now to prevent this behavior.
Comment 50 Leon Maurer 2013-10-30 15:28:06 UTC
I'm also encountering this problem after upgrading to 4.11.2 on kubuntu. I don't think I previously encountered this issue.
Comment 51 Christian 2013-11-12 18:04:43 UTC
This bug happens in Kubuntu 13.10 (fresh install), with KDE 4.11.2. It all started when I switched to the "ASCIIquarium" screensaver, it did not occur previously.
Comment 52 ruben.kimpen 2013-11-14 21:30:58 UTC
I also experience this problem with the keuphoria.kss screensaver.
Comment 53 Rob 2013-11-21 15:03:00 UTC
Agreed.  Same here w/ keuphoria.kss.  Just upgraded to the latest version of kubuntu available, still getting the same result.  somethimes it's 2 windows, somethines it's 20+.
Comment 54 Lisa Miller 2013-12-10 07:33:18 UTC
I am having this issue with the asciiaquarium screensaver on two computers after upgrading from Kubuntu 13.04 to 13.13.
Comment 55 Lisa Miller 2013-12-10 07:37:18 UTC
edit: to 13.10
Comment 56 Mark Fraser 2013-12-26 14:20:16 UTC
Still seeing this after upgrading Kubuntu 13.10 to KDE 4.12
Comment 57 Wolfgang Bauer 2014-01-02 18:57:12 UTC
Git commit c014af7836a9fa7df8a17485f9337c35e6d535de by Wolfgang Bauer.
Committed on 02/01/2014 at 18:50.
Pushed by wbauer into branch 'KDE/4.11'.

disable session management for screensavers

This patch disables session management for screensavers to prevent
screensaver windows from popping up on login if processes were still
running when the user logs out.

As proposed in https://bugs.kde.org/show_bug.cgi?id=314859#c18
FIXED-IN: 4.11.5
REVIEW: 109609

M  +3    -0    kscreensaver/libkscreensaver/main.cpp

http://commits.kde.org/kde-workspace/c014af7836a9fa7df8a17485f9337c35e6d535de
Comment 58 f0o 2014-01-02 19:03:31 UTC
This wont solve the bug but only masquerade it.
and its really annoying having tons of bg processes eating up resources for as long as you're logged in. On desktops this might be for days and weeks... my office pc has usually an uptime of 20+ days. Every day or two I need to run a 'killall'!
Please fix the cause and not only the symptoms.

Kind Regards,
f0o

Wolfgang Bauer <wbauer@tmo.at> wrote:
>https://bugs.kde.org/show_bug.cgi?id=314859
>
>Wolfgang Bauer <wbauer@tmo.at> changed:
>
>           What    |Removed                     |Added
>----------------------------------------------------------------------------
>             Status|REOPENED                    |RESOLVED
>   Version Fixed In|4.10.2                      |4.11.5
>         Resolution|---                         |FIXED
> Latest Commit|http://commits.kde.org/kde- |http://commits.kde.org/kde-
>              |workspace/ee003f90c6251e8c7 |workspace/c014af7836a9fa7df
>                  |3928127ab91945fc46fa3a0     |8a17485f9337c35e6d535de
>
>--- Comment #57 from Wolfgang Bauer <wbauer@tmo.at> ---
>Git commit c014af7836a9fa7df8a17485f9337c35e6d535de by Wolfgang Bauer.
>Committed on 02/01/2014 at 18:50.
>Pushed by wbauer into branch 'KDE/4.11'.
>
>disable session management for screensavers
>
>This patch disables session management for screensavers to prevent
>screensaver windows from popping up on login if processes were still
>running when the user logs out.
>
>As proposed in https://bugs.kde.org/show_bug.cgi?id=314859#c18
>FIXED-IN: 4.11.5
>REVIEW: 109609
>
>M  +3    -0    kscreensaver/libkscreensaver/main.cpp
>
>http://commits.kde.org/kde-workspace/c014af7836a9fa7df8a17485f9337c35e6d535de
>
>-- 
>You are receiving this mail because:
>You voted for the bug.
>You are on the CC list for the bug.
Comment 59 Wolfgang Bauer 2014-01-02 20:36:41 UTC
(In reply to comment #58)
> This wont solve the bug but only masquerade it.
Right, exactly as I wrote in comment#45.
But it's better than nothing, don't you agree?

And the underlying issue, that the processes stay in memory, is tracked by bug#224200.

If I would know how to fix that issue I would have done it already.
Comment 60 f0o 2014-01-02 21:00:53 UTC
Marking it as resolved might prevent it from being really resolved as people/devs usually dont re-read bugs marked as 'resolved'...
Comment 61 Tim Landscheidt 2014-01-02 21:54:08 UTC
(In reply to comment #60)
> Marking it as resolved might prevent it from being really resolved as
> people/devs usually dont re-read bugs marked as 'resolved'...

That's why bug #224200 is still open.
Comment 62 f0o 2014-01-03 07:59:15 UTC
Sadly this wrong bugreport has a much higher vote.
Merging both reports would be more usefull than just closing the more popular one.

This duplicate has a vote of 365 and a cc-list of 30 whereas the original/right bugreport has only a vote count of 241 and a cc-list of 20 users..

Isnt there any way to close the duplice bugreport but also merging the votes & cc-list with the original?

In the meantime I removed my votes from this report and hope that this nearly 4 years old bug will finally be resolved any time soon...

Kind regards & sorry for rants
f0o

//sent from on-screen-keyboard with big fingers, excuse misspellings
Comment 63 Christoph Feck 2014-02-09 15:09:15 UTC
> Sadly this wrong bugreport has a much higher vote

A higher number of votes does not get the bug fixed faster. What we need is someone who understands the inner workings of the screenlocker/screensavers, understands the changes with the QML refactorings for the KDE 4.10 release, and proposes a fix.
Comment 64 Samuel 2014-02-24 07:11:02 UTC
After installing KDE 4.12.2, I found that the .kss processes present before logout did not startup again after login with the exception of kswarm.kss.  This I fixed by adding this application to be excluded from the sessions in Session Management.

Currently with a Screen Locker Setting > Screen Saver set to Random, I find that when I restore the desktop, the screen saver processes are still active and continue to consume processing power.  If I have my system on for an extended period of time with repeated breaks in activity,  the number of screen saver processes increase and can use up 50% processing power on an 8 processor CPU at 2.3GHz.

Hence there are still problems with the Screen Saver and the behaviour has changed from what it was in earlier versions of KDE.
Comment 65 Wolfgang Bauer 2014-02-24 11:52:58 UTC
(In reply to comment #64)
> After installing KDE 4.12.2, I found that the .kss processes present before
> logout did not startup again after login with the exception of kswarm.kss. 

You're right. I just noticed this 2 days ago.
My commit turns off session management in libkscreensaver's startup code, but apparently kswarm.kss doesn't use libkscreensaver.
I'll have to investigate this.

> Currently with a Screen Locker Setting > Screen Saver set to Random, I find
> that when I restore the desktop, the screen saver processes are still active
> and continue to consume processing power.  If I have my system on for an
> extended period of time with repeated breaks in activity,  the number of
> screen saver processes increase and can use up 50% processing power on an 8
> processor CPU at 2.3GHz.
> 
> Hence there are still problems with the Screen Saver and the behaviour has
> changed from what it was in earlier versions of KDE.

Right. But as already mentioned, this is bug#224200, which is still open.
Comment 66 Samuel 2014-05-17 04:55:39 UTC
I now have KDE 4.13 and I would like to thank the developers for fixing this Screensaver problem.  I am now enjoying coming back to my Laptop with yet another screen saver showing and no remnant .kss processes using CPU cycles.

Last night I was showing pictures using Gwenview and I forgot to stop the screensaver, but to my surprise, the screensave did not activate.  Another plus for KDE 4.13.

WELL DONE!!!!!!